## Function `midLon( lon1, lon2 )`

Description:
  Determines the longitude mid-way between two given longitudes. In most cases this is just the mean of the two values, but this function copes correctly with the case where the given values straddle the lon=0 line.

Parameters:
  `lon1` (floating point)
    first longitude in degrees
  `lon2` (floating point)
    second longitude in degrees

Return Value (floating point):
  longitude midway between the given values

Examples:
  - `midLon(204.0, 203.5) = 203.75`
  - `midLon(2, 359) = 0.5`

Signature:
  `double midLon(double, double)`